> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everflow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Advertisers (Advanced)

Retrieve a paginated list of advertisers. Supports search filters, sorting, and pagination to help you find and browse advertisers programmatically. Returns advertiser data with account manager names and today's revenue.


## OpenAPI

````yaml openapi/advertisers.yaml post /networks/advertiserstable
openapi: 3.0.3
info:
  title: Everflow Network API - Advertisers
  description: >
    Endpoints for managing advertisers in the Everflow network. To learn more
    about advertisers, see the [Advertiser
    overview](https://helpdesk.everflow.io/customer/who-is-an-advertiser-in-everflow).
  version: 1.0.0
servers:
  - url: https://api.eflow.team/v1
security: []
tags:
  - name: Advertisers
paths:
  /networks/advertiserstable:
    post:
      tags:
        - Advertisers
      summary: Find Advertisers (Advanced)
      parameters:
        - in: query
          name: page
          schema:
            type: integer
            default: 1
          description: Page number (1-based).
        - in: query
          name: page_size
          schema:
            type: integer
            default: 50
            maximum: 2000
          description: Number of results per page.
      requestBody:
        content:
          application/json:
            example:
              search_terms:
                - search_type: name
                  value: DocTest
              filters:
                account_status: active
                account_manager_ids:
                  - 2
                labels:
                  - updated-label
            schema:
              type: object
              properties:
                search_terms:
                  type: array
                  description: Text search filters.
                  items:
                    type: object
                    required:
                      - search_type
                      - value
                    properties:
                      search_type:
                        type: string
                        enum:
                          - name
                        description: The field to search on. Only `name` is supported.
                      value:
                        type: string
                        description: The search term.
                filters:
                  type: object
                  description: Structured filters to narrow results.
                  properties:
                    account_status:
                      type: string
                      enum:
                        - active
                        - inactive
                        - suspended
                      description: >
                        Filter advertisers based on a specific account status.
                        Supported values are: `active`, `inactive` and
                        `suspended`.
                    account_manager_ids:
                      type: array
                      items:
                        type: integer
                      description: >-
                        Only include advertisers managed by the specified
                        account managers.
                    labels:
                      type: array
                      items:
                        type: string
                      description: Only include advertisers matching the specified labels.
                    business_unit_ids:
                      type: array
                      items:
                        type: integer
                      description: >-
                        Filter advertisers based on the specified business
                        units.
                    sales_manager_ids:
                      type: array
                      items:
                        type: integer
                      description: >-
                        Only include advertisers managed by the specified sales
                        managers.
      responses:
        '200':
          description: ''
          content:
            application/json:
              example:
                advertisers:
                  - network_advertiser_id: 66
                    network_id: 1
                    name: DocTest Updated Advertiser
                    account_status: active
                    account_manager_id: 2
                    account_manager_name: Justin Black
                    sales_manager_id: 2
                    sales_manager_name: Justin Black
                    today_revenue: $0.00
                    time_created: 1774618267
                    time_saved: 1774619075
                    labels:
                      - updated-label
                    verification_token: updatedtoken123
                  - network_advertiser_id: 13
                    network_id: 1
                    name: William Fowler Inc.
                    account_status: active
                    account_manager_id: 2
                    account_manager_name: Justin Black
                    sales_manager_id: 0
                    sales_manager_name: ''
                    today_revenue: $0.00
                    time_created: 1774296114
                    time_saved: 1774296114
                    labels: null
                    verification_token: ''
                paging:
                  page: 1
                  page_size: 100
                  total_count: 9
              schema:
                type: object
                properties:
                  advertisers:
                    type: array
                    items:
                      type: object
                      properties:
                        network_advertiser_id:
                          type: integer
                          description: Unique advertiser ID.
                        network_id:
                          type: integer
                          description: Network ID.
                        name:
                          type: string
                          description: Advertiser name.
                        account_status:
                          type: string
                          enum:
                            - active
                            - inactive
                            - suspended
                          description: Current account status.
                        account_manager_id:
                          type: integer
                          description: Account manager ID (alias for network_employee_id).
                        account_manager_name:
                          type: string
                          description: Account manager name.
                        sales_manager_id:
                          type: integer
                          description: Sales manager ID.
                        sales_manager_name:
                          type: string
                          description: Sales manager name.
                        today_revenue:
                          type: string
                          description: Today's revenue (formatted string).
                        time_created:
                          type: integer
                          example: 1734455015
                          description: Unix timestamp when the advertiser was created.
                        time_saved:
                          type: integer
                          example: 1734455015
                          description: Unix timestamp when the advertiser was last updated.
                        labels:
                          type: array
                          nullable: true
                          items:
                            type: string
                          description: >-
                            Labels assigned to this advertiser. Returns `null`
                            if no labels are assigned.
                        verification_token:
                          type: string
                          description: Verification token.
                  paging:
                    type: object
                    properties:
                      page:
                        type: integer
                      page_size:
                        type: integer
                      total_count:
                        type: integer
      security:
        - API Key: []
components:
  securitySchemes:
    API Key:
      description: The Everflow API key generated from the Control Center > Security.
      in: header
      name: X-Eflow-Api-Key
      type: apiKey

````